/**Begin D:\myFile\软件\PDM\pdm1\SYS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_COSTDATA')
 CREATE TABLE T_OPENAPI_COSTDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FAPIID BIGINT DEFAULT 0 NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAVGCOST BIGINT DEFAULT 0 NOT NULL,
FMAXCOST BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAPINAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FURL VARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_ALARMCONFIG')
 CREATE TABLE T_OPENAPI_ALARMCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FALARMTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FINTERVAL INT DEFAULT 0 NOT NULL,
FMSGTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMSGTEMPLATE NVARCHAR(500) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_ALARMCONFIG_L')
 CREATE TABLE T_OPENAPI_ALARMCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_ALARM_RECEIVER')
 CREATE TABLE T_OPENAPI_ALARM_RECEIVER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_ALARM_MSGTYPE')
 CREATE TABLE T_OPENAPI_ALARM_MSGTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_ALARMLOG')
 CREATE TABLE T_OPENAPI_ALARMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMSGTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMSG NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FALARMTYPE CHAR(1) DEFAULT '0' NOT NULL,
FALARMCONFIG BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMSGTYPE BIGINT DEFAULT 0 NOT NULL,
FRECEVERS NVARCHAR(100) DEFAULT ' ' NOT NULL
);

